Create With Mrn

Beta

Adds a patient and hydrates their MRN with a pre-existing MRN. Once this patient is created their MRN will not be editable. BadRequestError is returned when the MRN is greater than 20 characters. VersionConflictError is returned when the patient’s external ID is already in use.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Query parameters

skip_duplicate_checkbooleanOptional

Request

This endpoint expects an object.
biological_sexenumRequired
The biological sex of the patient. This corresponds to the HL7 AdministrativeGender https://www.hl7.org/fhir/valueset-administrative-gender.html
Allowed values:
birth_datedateRequired
contactslist of objectsRequired
Contacts for the patient.
filing_orderobjectRequired
The patient's active coverages, in order of primary, secondary, etc.
general_practitionerslist of objectsRequired
mrnstringRequired
The medical record number for the patient.
nameobjectRequired
other_addresseslist of objectsRequired
Other addresses for the patient.
other_nameslist of objectsRequired
Other names for the patient.
other_telecomslist of objectsRequired
Other phone numbers for the patient.
primary_addressobjectRequired
The primary address for the patient.
authorizationslist of objectsOptional
deceaseddatetimeOptional
Time of death for the patient. Leave unset if the patient is not deceased.
disability_statusenumOptional
Allowed values:
do_not_invoice_reasonenumOptional
If this value is defined, the customer will not be invoiced.
electronic_communication_opt_inbooleanOptional
emailstringOptional
ethnicityenumOptional
Allowed values:
external_provenanceobjectOptional
Information about the upstream system that owns this patient data. Leave unset if Candid owns patient data.
genderenumOptional
guarantorobjectOptional
inferred_patient_metadataobjectOptional
Metadata for the patient used for patient inference from encounters.
languagestringOptional
marital_statusenumOptional
multiple_birthintegerOptional
The number of siblings the patient was born with. Leave unset if the patient was not part of a multiple birth.
non_insurance_payer_associationslist of objectsOptional
note_idslist of stringsOptional
orconbooleanOptional

ORCON (Originator Controlled) - When set to true, the Candid system will hide this patient from downstream integrations. Updates made in the Candid UI will unset this flag. Defaults to false.

origination_detailobjectOptional
Information about the patient source, if applicable.
other_identifierslist of objectsOptional
Other identifiers for the patient.
photostringOptional
primary_service_facility_idstringOptional
primary_telecomobjectOptional
The primary phone number for the patient.
pronounslist of stringsOptional
The pronouns of the patient.
raceenumOptional
referralslist of objectsOptional
self_paybooleanOptional
service_facilitieslist of objectsOptional
Associated service facilities for this patient.
sexual_orientationenumOptional
The sexual orientation of the patient.
social_security_numberstringOptional
tag_idslist of stringsOptional
non_insurance_payerslist of stringsOptionalDeprecated

Response

This endpoint returns an object.
biological_sexenum
The biological sex of the patient. This corresponds to the HL7 AdministrativeGender https://www.hl7.org/fhir/valueset-administrative-gender.html
Allowed values:
birth_datedate
contactslist of objects
Contacts for the patient.
deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
filing_orderobject
The patient's active coverages, in order of primary, secondary, etc.
general_practitionerslist of objects
idstring
The unique UUID identifier for a Patient. Patient ID is used in machine contexts.
mrnstring

The medical record number for the patient. Human-friendly Candid generated MRNs are of the form “YYMMDDXXXX”, where “YYMMDD” is the date of patient creation and “XXXX” is a zero-padded incrementing integer.

nameobject
organization_idstring
The organization that owns this object.
other_addresseslist of objects
Other addresses for the patient.
other_nameslist of objects
Other names for the patient.
other_telecomslist of objects
Other phone numbers for the patient.
primary_addressobject
The primary address for the patient.
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
authorizationslist of objects
deceaseddatetime
Time of death for the patient. Leave unset if the patient is not deceased.
disability_statusenum
Allowed values:
do_not_invoice_reasonenum
If this value is defined, the customer will not be invoiced.
electronic_communication_opt_inboolean
emailstring
ethnicityenum
Allowed values:
external_provenanceobject
Information about the upstream system that owns this patient data. Leave unset if Candid owns patient data.
genderenum
guarantorobject
inferred_patient_metadataobject
Metadata for the patient used for patient inference from encounters.
languagestring
marital_statusenum
multiple_birthinteger
The number of siblings the patient was born with. Leave unset if the patient was not part of a multiple birth.
non_insurance_payer_associationslist of objects
note_idslist of strings
orconboolean

ORCON (Originator Controlled) - When set to true, the Candid system will hide this patient from downstream integrations. Updates made in the Candid UI will unset this flag. Defaults to false.

origination_detailobject
Information about the patient source, if applicable.
other_identifierslist of objects
Other identifiers for the patient.
photostring
primary_service_facility_idstring
primary_telecomobject
The primary phone number for the patient.
pronounslist of strings
The pronouns of the patient.
raceenum
referralslist of objects
self_payboolean
service_facilitieslist of objects
Associated service facilities for this patient.
sexual_orientationenum
The sexual orientation of the patient.
social_security_numberstring
tag_idslist of strings
non_insurance_payerslist of stringsDeprecated

Errors

400
Bad Request Error
409
Version Conflict Error